Subject: bug#65306: [shepherd] ntpd throws shepherd out of the loop

From: Timotej Lazar <[email-masked]>
Date: Tue, 15 Aug 2023 16:27:21 +0200

Liliana Marie Prikler <[email-masked]> [2023-08-15 07:18:02+0200]:
> As of recently (maybe it dates back longer, but I first experienced it
> two weeks ago and just now got to debugging it a little), Shepherd gets
> stuck at 100% CPU usage "early" on first boot.

I have this issue on all Guix systems without a (working) RTC. It seems
to be caused by a recentish update to guile-fibers:

https://github.com/wingo/fibers/issues/89

For me this happens regardless of whether the system time is pushed
forward manually or by ntpd. Depending on the time delta and CPU speed,
the usage returns to normal after a couple of days. During that time any
socket-activated services like SSH are also unreachable.